<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cpotlk="http://fluorite.halfmoon.jp/SoftwareManager/CompleteGetter/OutDomainLink" xmlns:html="http://www.w3.org/1999/xhtml">
  <xsl:template match="/cpotlk:document">
    <ul class="css_outlink_ul">
      <xsl:apply-templates select="//cpotlk:li">
        <xsl:sort select="cpotlk:saved/html:a/@href" order="ascending" data-type="text" />
      </xsl:apply-templates>
    </ul>
  </xsl:template>
  <xsl:template match="cpotlk:li">
    <li>
      <div class="css_div_local_page">
        <xsl:call-template name="discribe_local_page" />
        <xsl:text disable-output-escaping="yes">&amp;nbsp</xsl:text>
        <xsl:text disable-output-escaping="yes">&amp;nbsp</xsl:text>
        <xsl:text disable-output-escaping="yes">&amp;nbsp</xsl:text>
        <xsl:call-template name="discribe_web_page" />
      </div>
      <br />
    </li>
  </xsl:template>
  <xsl:template name="discribe_local_page">
    <xsl:element name="a">
      <xsl:attribute name="title">ۑy[W</xsl:attribute>
      <xsl:attribute name="href">
        <xsl:value-of select="cpotlk:saved/html:a/@href" />
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="cpotlk:saved/@title != ''">
          <xsl:value-of select="cpotlk:saved/@title" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="cpotlk:saved/html:a" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>
  </xsl:template>
  <xsl:template name="discribe_web_page">
    <xsl:element name="a">
      <xsl:attribute name="title">
        <xsl:value-of select="cpotlk:dest/html:a/@href" />
      </xsl:attribute>
      <xsl:attribute name="href">
        <xsl:value-of select="cpotlk:dest/html:a/@href" />
      </xsl:attribute>[URL]</xsl:element>
  </xsl:template>
</xsl:stylesheet>